`ifndef SIGNED_MULT_V
`define SIGNED_MULT_V

module SignedMult
#(
  parameter p_input_nbits = 8
)(
  input signed [p_input_nbits-1:0] a,
  input signed [p_input_nbits-1:0] b,

  output [(p_input_nbits<<1)-1:0] out
);

  assign out = a * b;

endmodule

`endif
