`include "MathComponent.v"

module top;

  reg [8:0]      bird_top_x_0;
  reg [8:0]      bird_top_x_1;
  wire [8:0]     predicted_position;

  MathComponent test
  (
   .bird_top_x_0       (bird_top_x_0),
   .bird_top_x_1       (bird_top_x_1),
   .predicted_position (predicted_position)
  );

  initial begin
    $dumpfile("MathComponent.vcd");
    $dumpvars(0, top);

    bird_top_x_0 = 50;
    bird_top_x_1 = 45;

    #5;

    bird_top_x_0 = 5;
    bird_top_x_1 = 0;

    #5;

    bird_top_x_0 = 500;
    bird_top_x_1 = 511;

    #5;

    bird_top_x_0 = 0;
    bird_top_x_1 = 3;

    #5;

    bird_top_x_0 = 50;
    bird_top_x_1 = 200;

    #5;

    bird_top_x_0 = 500;
    bird_top_x_1 = 300;

    #5;

    $finish;
  end

endmodule

